Analytic
Get Proxy Requests Bandwidth
This endpoint retrieves the total bandwidth usage aggregated per proxy username within a given date range.
Note
- Use the V3 Platform API Server (
https://api.app.mrscraper.com) host when calling this endpoint.
Authorization
apiKey x-api-token<token>
In: header
Query Parameters
timezone?string
IANA timezone to be used with startDate and endDate
startDate*string
Start date in yyyy-MM-dd HH:mm:ss format
endDate*string
End date in yyyy-MM-dd HH:mm:ss format
region?string
Country code to filter bandwidth usage by region
Response Body
application/json
application/json
application/json
curl -X GET "https://api.app.mrscraper.com/api/v1/proxies/user/requests-bandwidth?startDate=2026-07-01+09%3A54%3A03&endDate=2026-07-01+10%3A54%3A03"[
{
"username": "john",
"total_bandwidth_usage": 99.384
},
{
"username": "jane",
"total_bandwidth_usage": 31.022
}
]{
"message": "startDate is required and must be in `yyyy-MM-dd HH:mm:ss` format",
"error": "Bad Request",
"statusCode": 400
}{
"message": "Unauthorized access",
"error": "Unauthorized"
}